Configure Telegram Webhook
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/telegram/{workspaceId}/telegram/{credentialsId}/webhook/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/telegram/{workspaceId}/telegram/{credentialsId}/webhook/configure"
payload = { "webhookUrl": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookUrl: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/integrations/telegram/{workspaceId}/telegram/{credentialsId}/webhook/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"webhook": {
"url": "<string>",
"pendingUpdateCount": 123,
"lastErrorDate": 123,
"lastErrorMessage": "<string>",
"maxConnections": 123,
"allowedUpdates": [
"<string>"
]
},
"message": "<string>",
"webhookUrl": "<string>",
"bot": {
"id": 123,
"username": "<string>",
"firstName": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Additional Endpoints
Configure Telegram Webhook
Configure Telegram webhook.
POST
/
v3
/
integrations
/
telegram
/
{workspaceId}
/
telegram
/
{credentialsId}
/
webhook
/
configure
Configure Telegram Webhook
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/telegram/{workspaceId}/telegram/{credentialsId}/webhook/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/telegram/{workspaceId}/telegram/{credentialsId}/webhook/configure"
payload = { "webhookUrl": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookUrl: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/integrations/telegram/{workspaceId}/telegram/{credentialsId}/webhook/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"webhook": {
"url": "<string>",
"pendingUpdateCount": 123,
"lastErrorDate": 123,
"lastErrorMessage": "<string>",
"maxConnections": 123,
"allowedUpdates": [
"<string>"
]
},
"message": "<string>",
"webhookUrl": "<string>",
"bot": {
"id": 123,
"username": "<string>",
"firstName": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json